Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/05/2024, à 20:39

Tchernobile

[Résolu] Problème dépendance installation virtualbox

Bonjour, il m'est impossible de télécharger virtualbox via les dépots ubuntu ou depuis le dépot Oracle, étant donné que le premier ne marchait pas, j'ai essayé l'autre mais sans résultat.
Les deux m'affiche une fenêtre avec marqué " impossible de résoudre les dépendances du paquet". Si vous pourriez me donner un coup de main, merci.

Dernière modification par Tchernobile (Le 09/05/2024, à 14:54)

Hors ligne

#2 Le 06/05/2024, à 20:42

jplemoine

Re : [Résolu] Problème dépendance installation virtualbox

- Pour quelle version du système d’exploitation ?
- Le problème est-il lors du téléchargement ou lors de l'installation ?


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#3 Le 07/05/2024, à 17:03

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

Je suis sur ubuntu 22.04, je veux dl virtualbox 7
le problème est lors du téléchargement  des paquet virtualbox 7.

Hors ligne

#4 Le 07/05/2024, à 18:03

xubu1957

Re : [Résolu] Problème dépendance installation virtualbox

Bonjour,

Le paquet gcc version 12 est-il installé ?  > VirtualBox 7 fails on installation process at Ubuntu Desktop 22.04


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#5 Le 07/05/2024, à 18:09

jplemoine

Re : [Résolu] Problème dépendance installation virtualbox

Ayant un Xubuntu 22.04 et  virtualbox version 7, ça fonctionne.
Par contre, je pense que je suis passé par le ppa donné par virtualbox.org.
Comment as-tu procédé ?


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#6 Le 08/05/2024, à 17:06

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

Bonjour, je ne crois pas avoir gcc 12, xubu1957 mais comment fais-tu pour le savoir ?

Jplemoine j'ai suivis la doc ubuntu ; https://doc.ubuntu-fr.org/virtualbox

Tenté via les dépots ubuntu sa n'a pas marché et oracle non plus...

Merci

Hors ligne

#7 Le 08/05/2024, à 17:52

xubu1957

Re : [Résolu] Problème dépendance installation virtualbox


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#8 Le 08/05/2024, à 18:33

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

voici ;

    gcc --version
gcc (Ubuntu 11.4.0-1ubuntu1~22.04) 11.4.0
Copyright (C) 2021 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   

Hors ligne

#9 Le 08/05/2024, à 18:59

iznobe

Re : [Résolu] Problème dépendance installation virtualbox

Bonjour , et :

apt policy virtualbox
sudo apt update

Dernière modification par iznobe (Le 08/05/2024, à 19:00)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#10 Le 08/05/2024, à 19:57

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

iznobe voilà :

 apt policy virtualbox
virtualbox:
  Installé : (aucun)
  Candidat : 6.1.50-dfsg-1~ubuntu1.22.04.1
 Table de version :
     6.1.50-dfsg-1~ubuntu1.22.04.1 500
        500 http://fr.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 Packages
  

Hors ligne

#11 Le 08/05/2024, à 20:36

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

       sudo apt update
[sudo] Mot de passe de xxxx : 
Atteint :1 http://security.ubuntu.com/ubuntu jammy-security InRelease
Réception de :2 http://fr.archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Atteint :3 http://download.virtualbox.org/virtualbox/debian jammy InRelease    
Atteint :4 https://brave-browser-apt-release.s3.brave.com stable InRelease     
Atteint :5 https://packages.openvpn.net/openvpn3/debian jammy InRelease        
119 ko réceptionnés en 1s (88,2 ko/s)                                
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
8 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
xxxx@xxxx-IdeaPad-Gaming-3-15IMH05:~$ apt list --upgradable
En train de lister... Fait
libpoppler-cpp0v5/jammy-updates 22.02.0-2ubuntu0.4 amd64 [pouvant être mis à jour depuis : 22.02.0-2ubuntu0.3]
libpoppler-glib8/jammy-updates 22.02.0-2ubuntu0.4 amd64 [pouvant être mis à jour depuis : 22.02.0-2ubuntu0.3]
libpoppler118/jammy-updates 22.02.0-2ubuntu0.4 amd64 [pouvant être mis à jour depuis : 22.02.0-2ubuntu0.3]
poppler-utils/jammy-updates 22.02.0-2ubuntu0.4 amd64 [pouvant être mis à jour depuis : 22.02.0-2ubuntu0.3]
snapd/jammy-updates 2.62+22.04 amd64 [pouvant être mis à jour depuis : 2.61.3+22.04]
ubuntu-advantage-tools/jammy-updates,jammy-updates 31.2.3~22.04 all [pouvant être mis à jour depuis : 31.2.2~22.04]
ubuntu-pro-client-l10n/jammy-updates 31.2.3~22.04 amd64 [pouvant être mis à jour depuis : 31.2.2~22.04]
ubuntu-pro-client/jammy-updates 31.2.3~22.04 amd64 [pouvant être mis à jour depuis : 31.2.2~22.04]
     

Hors ligne

#12 Le 08/05/2024, à 20:37

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

Je comprend pas pourquoi ils ne se sont pas mis à jour avec le update d'ailleurs ?

Hors ligne

#13 Le 08/05/2024, à 20:38

jplemoine

Re : [Résolu] Problème dépendance installation virtualbox

Pour info, sur mon poste (xubuntu 22.04), j'ai :

user@machine:~$ apt policy virtualbox-7.0
virtualbox-7.0:
  Installé : 7.0.18-162988~Ubuntu~jammy
  Candidat : 7.0.18-162988~Ubuntu~jammy
 Table de version :
 *** 7.0.18-162988~Ubuntu~jammy 500
        500 https://download.virtualbox.org/virtualbox/debian jammy/contrib amd64 Packages
        100 /var/lib/dpkg/status
user@machine:~$ 

J'ai utilisé le dépot officiel de virtualbox.org car celui officiel ubuntu était trop en retard.

@iznobe : je ne sais pas si c'est bien ou pas dans le cas présent. Peux-tu confirmer ou infirmer cette utilisation.


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#14 Le 08/05/2024, à 21:11

iznobe

Re : [Résolu] Problème dépendance installation virtualbox

je ne saurais dire , perso je préfère utiliser ceux des depots officiels puisque " prevu pour " . Apres comme il y a une section pour jammy dans ce depot , ca ne devrait theoriquement pas poser de soucis particulier .

Tchernobile a écrit :

Je comprend pas pourquoi ils ne se sont pas mis à jour avec le update d'ailleurs ?

pour qu ' un logiciel soit mis à jour , il faut d ' abord l' avoir installé .
pour installer virtualbox il te suffit de faire :

sudo apt install virtualbox

Comme on voit que tu as mis le meme depot que @jplemoine

Atteint :3 http://download.virtualbox.org/virtualbox/debian jammy InRelease

je ne sais pas ce que ca va donner , surement la meme chose que lui .
je trouve curieux , le retour du policy , tu as peut etre mis le depot apres avoir passé la commande policy ?


Par ailleurs , ton retour de update me parait vachement simple , seulement 2 lignes pour les dépôts officiels ?
passe cette commande :

software-properties-gtk

dans l' onglet qui arrive par defaut , ( ne pas toucher aux autres ! ) , ils sont tous bien cochés ( a part le dernier pour le code " source " ) ?

Dernière modification par iznobe (Le 08/05/2024, à 21:29)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#15 Le 08/05/2024, à 21:34

iznobe

Re : [Résolu] Problème dépendance installation virtualbox

Pour info , je viens de faire la procedure de la doc ' ajouter la clé , le depot , l' update , et j' ai le meme resultat que Tchernobile :

iznobe@iznobe-PC:~$ sudo apt update
Atteint :1 https://mkvtoolnix.download/ubuntu jammy InRelease
Atteint :2 https://repo.protonvpn.com/debian stable InRelease                                                                
Atteint :3 http://ppa.launchpad.net/hizo/mkv-extractor-gui/ubuntu jammy InRelease                                            
Atteint :4 http://ppa.launchpad.net/kisak/turtle/ubuntu jammy InRelease                                          
Atteint :5 http://ppa.launchpad.net/robert-tari/main/ubuntu jammy InRelease                                                       
Atteint :6 http://ppa.launchpad.net/ubuntubudgie/backports/ubuntu jammy InRelease                                                 
Atteint :7 https://ppa.launchpadcontent.net/mozillateam/ppa/ubuntu jammy InRelease                      
Atteint :8 http://ppa.launchpad.net/xtradeb/apps/ubuntu jammy InRelease                                 
Atteint :9 http://fr.archive.ubuntu.com/ubuntu jammy InRelease        
Atteint :10 https://ppa.launchpadcontent.net/phd/chromium-browser/ubuntu jammy InRelease                
Atteint :11 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu jammy InRelease                           
Atteint :12 http://fr.archive.ubuntu.com/ubuntu jammy-updates InRelease                                      
Atteint :13 https://ppa.launchpadcontent.net/team-xbmc/ppa/ubuntu jammy InRelease                            
Atteint :14 http://fr.archive.ubuntu.com/ubuntu jammy-backports InRelease                                    
Atteint :15 http://fr.archive.ubuntu.com/ubuntu jammy-security InRelease   
Réception de :16 http://download.virtualbox.org/virtualbox/debian jammy InRelease [4428 B]
Réception de :17 http://download.virtualbox.org/virtualbox/debian jammy/contrib amd64 Packages [1485 B]
5913 o réceptionnés en 2s (2827 o/s)     
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
10 paquets peuvent être mis à jour. Exécutez « apt list --upgradable » pour les voir.
iznobe@iznobe-PC:~$ apt policy virtualbox
virtualbox:
  Installé : 6.1.50-dfsg-1~ubuntu1.22.04.1
  Candidat : 6.1.50-dfsg-1~ubuntu1.22.04.1
 Table de version :
 *** 6.1.50-dfsg-1~ubuntu1.22.04.1 500
        500 http://fr.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 Packages
        100 /var/lib/dpkg/status
     6.1.32-dfsg-1build1 500
        500 http://fr.archive.ubuntu.com/ubuntu jammy/multiverse amd64 Packages
iznobe@iznobe-PC:~$ apt-cache madison virtualbox
virtualbox | 6.1.50-dfsg-1~ubuntu1.22.04.1 | http://fr.archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 Packages
virtualbox | 6.1.32-dfsg-1build1 | http://fr.archive.ubuntu.com/ubuntu jammy/multiverse amd64 Packages
iznobe@iznobe-PC:~$

il reste par contre possible d ' installer virtuabox 7.0 comme @jplemoine avec la commande suivante :

sudo apt install  virtualbox-7.0

Mais ca ne considere pas le paquet virtualbox 7 comme une MAJ de virtualbox 6.1 , je ne sais pas pourquoi , comme ca le fait habituellement pour d' autres paquets .

Dernière modification par iznobe (Le 08/05/2024, à 21:43)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#16 Le 09/05/2024, à 14:53

Tchernobile

Re : [Résolu] Problème dépendance installation virtualbox

Ok merci j'aurai du penser directement à "apt install" au lieu de me prendre la tête avec doc. Et sa foctionne !

Hors ligne